Skip to main content
PUT
/
api
/
shop
/
marketplace
/
offers
/
{offerId}
/
credentials
/
{credentialId}
Update credential
curl --request PUT \
  --url https://skycoach.gg/api/shop/marketplace/offers/{offerId}/credentials/{credentialId} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "login": "user@example.com",
  "game_password": "SecurePass123",
  "email": "jsmith@example.com",
  "email_password": "<string>",
  "is_2fa_active": true,
  "comment": "<string>"
}
'
{
  "result": {
    "id": 1,
    "status": 1,
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required

API response format

Available options:
application/json

Path Parameters

offerId
integer
required
Example:

123

credentialId
integer
required
Example:

456

Body

application/json
login
string
required
Maximum string length: 255
Example:

"user@example.com"

game_password
string
required
Maximum string length: 255
Example:

"SecurePass123"

email
string<email> | null
email_password
string | null

Required if email is provided

is_2fa_active
boolean | null
comment
string | null
Maximum string length: 1000

Response

Success

result
object